local zonei, zonec, zonenames = {}, {}, {}
for ci,c in pairs{GetMapContinents()} do
	zonenames[ci] = {GetMapZones(ci)}
	for zi,z in pairs(zonenames[ci]) do
		zonei[z], zonec[z] = zi, ci
	end
end

local Waypoints = {}

function ProGuideAddWaypoint(zone, x, y, desc, c, z)
  local zi, zc = z or zone and zonei[zone], c or zone and zonec[zone]
	if not zi then
		zi, zc = GetCurrentMapZone(), GetCurrentMapContinent()
	end

	if TomTom then return TomTom:AddZWaypoint(zc, zi, x, y, desc, false) end
end

function ProGuideSetNpcWaypoint(id)
  if id and ProGuide.Npc[id] then
    ProGuide.Npc[id].uid = ProGuideAddWaypoint(ProGuide.Npc[id].Loc.zone, ProGuide.Npc[id].Loc.x, ProGuide.Npc[id].Loc.y, ProGuide.Npc[id].Name .. " <" .. ProGuide.Npc[id].Type .. ">")
  end
end

ProGuide = {}
ProGuide.Npc = {
  [5499] = {
    ["Faction"]  = "Alliance",
    ["Name"]     = "Lilyssia Nightbreeze",
    ["Type"]     = "Alchemy Trainer",
    ["Loc"]      = {
      ["zone"] = "Stormwind City",
      ["x"]    = 55.66,
      ["y"]    = 86.09,
    },
  },
}

ProGuide.Obj1 = ProGuideInitialice()
--ProGuide.Obj2 = ProGuideInitialice()
--[[
ProGuide.Obj1 = CreateFrame("Frame", "ProGuideObjectives1", UIParent, "ProGuideObjFramesTemplate")
ProGuide.Obj1:SetPoint("CENTER")

ProGuide.Obj1.TextHeadline:SetText("Leatherworking (1-525)");
SetPortraitToTexture(ProGuide.Obj1.Icon, "Interface\\Icons\\Trade_LeatherWorking");

ProGuide.Obj1.ScrollFrame.Content.TestHeadline = CreateFrame("Frame", nil, ProGuide.Obj1.ScrollFrame.Content, "ProGuideContentHeadlineTemplate")
ProGuide.Obj1.ScrollFrame.Content.TestHeadline:SetPoint("TOP", 0, -5)
ProGuide.Obj1.ScrollFrame.Content.TestHeadline:Show()

ProGuide.Obj1.ScrollFrame.Content.TestText = CreateFrame("Frame", nil, ProGuide.Obj1.ScrollFrame.Content, "ProGuideContentTextTemplate")
ProGuide.Obj1.ScrollFrame.Content.TestText:SetPoint("TOP", ProGuide.Obj1.ScrollFrame.Content.TestHeadline, "BOTTOM", 0, -5)
ProGuide.Obj1.ScrollFrame.Content.TestText.Text:SetWordWrap(true)
ProGuide.Obj1.ScrollFrame.Content.TestText.Text:SetText("Content text that holds large textareas with multiline of some bla bla bla bla bla bla bla bla bla bla bla bla bla bla bla");
ProGuide.Obj1.ScrollFrame.Content.TestText:SetHeight(ProGuide.Obj1.ScrollFrame.Content.TestText.Text:GetStringHeight() + 2)
ProGuide.Obj1.ScrollFrame.Content.TestText:Show()

ProGuide.Obj1.ScrollFrame.Content.TestTextHeighlite = CreateFrame("Frame", nil, ProGuide.Obj1.ScrollFrame.Content, "ProGuideContentTextHighliteTemplate")
ProGuide.Obj1.ScrollFrame.Content.TestTextHeighlite:SetPoint("TOP", ProGuide.Obj1.ScrollFrame.Content.TestText, "BOTTOM", 0, -5)
ProGuide.Obj1.ScrollFrame.Content.TestTextHeighlite:Show()

ProGuide.Obj1.ScrollFrame.Content.TestItem1 = CreateFrame("Frame", nil, ProGuide.Obj1.ScrollFrame.Content, "ProGuideContentInfoTemplate")
ProGuide.Obj1.ScrollFrame.Content.TestItem1:SetPoint("TOP", ProGuide.Obj1.ScrollFrame.Content.TestTextHeighlite, "BOTTOM", 0, 0)
ProGuide.Obj1.ScrollFrame.Content.TestItem1:Show()

ProGuide.Obj1.ScrollFrame.Content.TestItem2 = CreateFrame("Frame", nil, ProGuide.Obj1.ScrollFrame.Content, "ProGuideContentInfoTemplate")
ProGuide.Obj1.ScrollFrame.Content.TestItem2:SetPoint("TOP", ProGuide.Obj1.ScrollFrame.Content.TestItem1, "BOTTOM", 0, 0)
ProGuide.Obj1.ScrollFrame.Content.TestItem2:Show()

ProGuide.Obj1.ScrollFrame.Content.TestItem3 = CreateFrame("Frame", nil, ProGuide.Obj1.ScrollFrame.Content, "ProGuideContentInfoTemplate")
ProGuide.Obj1.ScrollFrame.Content.TestItem3:SetPoint("TOP", ProGuide.Obj1.ScrollFrame.Content.TestItem2, "BOTTOM", 0, 0)
ProGuide.Obj1.ScrollFrame.Content.TestItem3:Show()

ProGuide.Obj1.ScrollFrame.Content.TestImage = CreateFrame("Frame", nil, ProGuide.Obj1.ScrollFrame.Content, "ProGuideContentImageTemplate")
ProGuide.Obj1.ScrollFrame.Content.TestImage:SetPoint("TOP", ProGuide.Obj1.ScrollFrame.Content.TestItem3, "BOTTOM", 0, -5)
ProGuide.Obj1.ScrollFrame.Content.TestImage:Show()

local ContentHeight = 5
ContentHeight = ContentHeight + ProGuide.Obj1.ScrollFrame.Content.TestHeadline:GetHeight() + 5;
ContentHeight = ContentHeight + ProGuide.Obj1.ScrollFrame.Content.TestText:GetHeight() + 5;
ContentHeight = ContentHeight + ProGuide.Obj1.ScrollFrame.Content.TestTextHeighlite:GetHeight() + 5;
ContentHeight = ContentHeight + ProGuide.Obj1.ScrollFrame.Content.TestItem1:GetHeight();
ContentHeight = ContentHeight + ProGuide.Obj1.ScrollFrame.Content.TestItem2:GetHeight();
ContentHeight = ContentHeight + ProGuide.Obj1.ScrollFrame.Content.TestItem3:GetHeight() + 5;
ContentHeight = ContentHeight + ProGuide.Obj1.ScrollFrame.Content.TestImage:GetHeight() + 5;

ProGuide.Obj1.ScrollFrame.Content:SetHeight(ContentHeight)
]]